Error:(15,36) java: 程序包javax.validation.constraints不存在

SpringBoot 专栏收录该内容
4 篇文章 0 订阅

直接看报错(今天在使用人人开源的 renren-fast后台项目时,报这个错误了):

在这里插入图片描述
在这里插入图片描述

错误原因:SpringBoot 新版本没有自动导入validation 程序包

解决办法:我们只需要在当前项目的 pom.xml 中手动添加validation 依赖即可:

<dependency>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-validation</artifactId>
</dependency>

在这里插入图片描述

使用 SpringBoot 就不用添加依赖的相关版本,它的父启动器 parent 会自动给你添加。
其实这样的文章都是不用写的,我觉得大家都会,我也只是记录一下。


有用点个关注,手留余香! 😗 😗 😗

  • 6
    点赞
  • 4
    评论
  • 4
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 数字20 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值